USN-2705-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-2705-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-2705-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-2705-1
Related
  • CVE-2014-7144
  • CVE-2015-1852
Published
2015-08-06T04:10:00.638658Z
Modified
2015-08-06T04:10:00.638658Z
Summary
python-keystoneclient, python-keystonemiddleware vulnerabilities
Details

Qin Zhao discovered Keystone disabled certification verification when the "insecure" option is set in a paste configuration (paste.ini) file regardless of the value, which allows remote attackers to conduct machine-in-the-middle attacks via a crafted certificate. (CVE-2014-7144)

Brant Knudson discovered Keystone disabled certification verification when the "insecure" option is set in a paste configuration (paste.ini) file regardless of the value, which allows remote attackers to conduct machine-in-the-middle attacks via a crafted certificate. (CVE-2015-1852)

References

Affected packages

Ubuntu:14.04:LTS / python-keystoneclient

Package

Name
python-keystoneclient

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:0.7.1-ubuntu1.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python-keystoneclient": "1:0.7.1-ubuntu1.2"
        }
    ]
}